/*!
 *               ~ CLNDR v1.2.16 ~
 * ==============================================
 *       https://github.com/kylestetz/CLNDR
 * ==============================================
 *  created by kyle stetz (github.com/kylestetz)
 *        &available under the MIT license
 * http://opensource.org/licenses/mit-license.php
 * ==============================================
 *
 * This is the fully-commented development version of CLNDR.
 * For the production version, check out clndr.min.js
 * at https://github.com/kylestetz/CLNDR
 *
 * This work is based on the
 * jQuery lightweight plugin boilerplate
 * Original author: @ajpiano
 * Further changes, comments: @addyosmani
 * Licensed under the MIT license
 */
/*! Custom version of clndr.js built for Facebook Events Calendar.js*/
!function(t){"function"==typeof define&&define.amd?define(["jquery","moment"],t):"object"==typeof exports?t(require("jquery"),require("moment")):t(jQuery,moment)}(function(t,n){function e(e,s){if(this.element=e,this.options=t.extend(!0,{},h,s),this.options.events.length&&(this.options.multiDayEvents?this.options.events=this.addMultiDayMomentObjectsToEvents(this.options.events):this.options.events=this.addMomentObjectToEvents(this.options.events)),this.options.lengthOfTime.months||this.options.lengthOfTime.days?this.options.lengthOfTime.months?(this.options.lengthOfTime.days=null,this.options.lengthOfTime.startDate?this.intervalStart=n(this.options.lengthOfTime.startDate).startOf("month"):this.options.startWithMonth?this.intervalStart=n(this.options.startWithMonth).startOf("month"):this.intervalStart=n().startOf("month"),this.intervalEnd=n(this.intervalStart).add(this.options.lengthOfTime.months,"months").subtract(1,"days"),this.month=this.intervalStart.clone()):this.options.lengthOfTime.days&&(this.options.lengthOfTime.startDate?this.intervalStart=n(this.options.lengthOfTime.startDate).startOf("day"):this.intervalStart=n().weekday(0).startOf("day"),this.intervalEnd=n(this.intervalStart).add(this.options.lengthOfTime.days-1,"days").endOf("day"),this.month=this.intervalStart.clone()):(this.month=n().startOf("month"),this.intervalStart=n(this.month),this.intervalEnd=n(this.month).endOf("month")),this.options.startWithMonth&&(this.month=n(this.options.startWithMonth).startOf("month"),this.intervalStart=n(this.month),this.intervalEnd=n(this.month).endOf("month")),this.options.constraints){if(this.options.constraints.startDate){var i=n(this.options.constraints.startDate);this.intervalStart.isBefore(i,"month")&&(this.intervalStart.set("month",i.month()).set("year",i.year()),this.month.set("month",i.month()).set("year",i.year()))}if(this.options.constraints.endDate){var o=n(this.options.constraints.endDate);this.intervalEnd.isAfter(o,"month")&&(this.intervalEnd.set("month",o.month()).set("year",o.year()),this.month.set("month",o.month()).set("year",o.year()))}}this._defaults=h,this._name=r,this.init()}var s={escape:/\{%-([\s\S]+?)%\}/g,evaluate:/\{%([\s\S]+?)%\}/g,interpolate:/\{\{(.+?)\}\}/g},o={},a="<div class='clndr-controls'><div class='clndr-control-button'><span class='clndr-previous-button'>previous</span></div><div class='month'><%= month %> <%= year %></div><div class='clndr-control-button rightalign'><span class='clndr-next-button'>next</span></div></div><table class='clndr-table' border='0' cellspacing='0' cellpadding='0'><thead><tr class='header-days'><% for(var i = 0; i < daysOfTheWeek.length; i++) { %><td class='header-day'><%= daysOfTheWeek[i] %></td><% } %></tr></thead><tbody><% for(var i = 0; i < numberOfRows; i++){ %><tr><% for(var j = 0; j < 7; j++){ %><% var d = j + i * 7; %><td class='<%= days[d].classes %>'><div class='day-contents'><%= days[d].day %></div></td><% } %></tr><% } %></tbody></table>",r="clndr",h={template:a,weekOffset:0,startWithMonth:null,clickEvents:{click:null,nextMonth:null,previousMonth:null,nextYear:null,previousYear:null,today:null,onMonthChange:null,onYearChange:null},targets:{nextButton:"clndr-next-button",previousButton:"clndr-previous-button",nextYearButton:"clndr-next-year-button",previousYearButton:"clndr-previous-year-button",todayButton:"clndr-today-button",day:"day",empty:"empty"},classes:{today:"today",event:"event",past:"past",lastMonth:"last-month",nextMonth:"next-month",adjacentMonth:"adjacent-month",inactive:"inactive",selected:"selected"},events:[],extras:null,dateParameter:"date",multiDayEvents:null,doneRendering:null,render:null,daysOfTheWeek:null,showAdjacentMonths:!0,adjacentDaysChangeMonth:!1,ready:null,constraints:null,forceSixRows:null,trackSelectedDate:!1,selectedDate:null,lengthOfTime:{months:null,days:null,interval:1}};e.prototype.init=function(){if(this.daysOfTheWeek=this.options.daysOfTheWeek||[],!this.options.daysOfTheWeek){this.daysOfTheWeek=[];for(var e=0;7>e;e++)this.daysOfTheWeek.push(n().weekday(e).format("dd").charAt(0))}if(this.options.weekOffset&&(this.daysOfTheWeek=this.shiftWeekdayLabels(this.options.weekOffset)),!t.isFunction(this.options.render)){if(this.options.render=null,"undefined"==typeof _)throw new Error("Underscore was not found. Please include underscore.js OR provide a custom render function.");o=_.templateSettings,_.templateSettings=s,this.compiledClndrTemplate=_.template(this.options.template),_.templateSettings=o}t(this.element).html("<div class='clndr'></div>"),this.calendarContainer=t(".clndr",this.element),this.bindEvents(),this.render(),this.options.ready&&this.options.ready.apply(this,[])},e.prototype.shiftWeekdayLabels=function(t){for(var n=this.daysOfTheWeek,e=0;t>e;e++)n.push(n.shift());return n},e.prototype.createDaysObject=function(e,s){var i=[],o=e.clone();s.diff(e,"days");if(this._currentIntervalStart=e.clone(),this.eventsLastMonth=[],this.eventsThisInterval=[],this.eventsNextMonth=[],this.options.events.length&&(this.eventsThisInterval=t(this.options.events).filter(function(){return this._clndrEndDateObject.isBefore(e)||this._clndrStartDateObject.isAfter(s)?!1:!0}).toArray(),this.options.showAdjacentMonths)){var a=e.clone().subtract(1,"months").startOf("month"),r=a.clone().endOf("month"),h=s.clone().add(1,"months").startOf("month"),l=h.clone().endOf("month");this.eventsLastMonth=t(this.options.events).filter(function(){return this._clndrEndDateObject.isBefore(a)||this._clndrStartDateObject.isAfter(r)?!1:!0}).toArray(),this.eventsNextMonth=t(this.options.events).filter(function(){return this._clndrEndDateObject.isBefore(h)||this._clndrStartDateObject.isAfter(l)?!1:!0}).toArray()}if(!this.options.lengthOfTime.days){var c=o.weekday()-this.options.weekOffset;if(0>c&&(c+=7),this.options.showAdjacentMonths)for(var d=0;c>d;d++){var p=n([e.year(),e.month(),d-c+1]);i.push(this.createDayObject(p,this.eventsLastMonth))}else for(var d=0;c>d;d++)i.push(this.calendarDay({classes:this.options.targets.empty+" "+this.options.classes.lastMonth}))}for(var v=e.clone();v.isBefore(s)||v.isSame(s,"day");)i.push(this.createDayObject(v.clone(),this.eventsThisInterval)),v.add(1,"days");if(!this.options.lengthOfTime.days)for(;i.length%7!==0;)this.options.showAdjacentMonths?i.push(this.createDayObject(v.clone(),this.eventsNextMonth)):i.push(this.calendarDay({classes:this.options.targets.empty+" "+this.options.classes.nextMonth})),v.add(1,"days");
// if the 42 seems explicit it's because we're creating a 7-row grid and 6 rows of 7 is always 42!
if(this.options.forceSixRows&&42!==i.length)for(;i.length<42;)this.options.showAdjacentMonths?(i.push(this.createDayObject(v.clone(),this.eventsNextMonth)),v.add(1,"days")):i.push(this.calendarDay({classes:this.options.targets.empty+" "+this.options.classes.nextMonth}));return i},e.prototype.createDayObject=function(t,e){var s=[],i=n();!t.isValid()&&t.hasOwnProperty("_d")&&void 0!=t._d&&(t=n(t._d));var o=0,a=e.length;for(o;a>o;o++){var r=e[o]._clndrStartDateObject,h=e[o]._clndrEndDateObject;
// woohoo semantics!
(t.isSame(r,"day")||t.isAfter(r,"day"))&&(t.isSame(h,"day")||t.isBefore(h,"day"))&&s.push(e[o])}var l={isInactive:!1,isAdjacentMonth:!1,isToday:!1},c="";return i.format("YYYY-MM-DD")==t.format("YYYY-MM-DD")&&(c+=" "+this.options.classes.today,l.isToday=!0),t.isBefore(i,"day")&&(c+=" "+this.options.classes.past),s.length&&(c+=" "+this.options.classes.event),this.options.lengthOfTime.days||(this._currentIntervalStart.month()>t.month()?(c+=" "+this.options.classes.adjacentMonth,l.isAdjacentMonth=!0,c+=this._currentIntervalStart.year()===t.year()?" "+this.options.classes.lastMonth:" "+this.options.classes.nextMonth):this._currentIntervalStart.month()<t.month()&&(c+=" "+this.options.classes.adjacentMonth,l.isAdjacentMonth=!0,c+=this._currentIntervalStart.year()===t.year()?" "+this.options.classes.nextMonth:" "+this.options.classes.lastMonth)),this.options.constraints&&(this.options.constraints.startDate&&t.isBefore(n(this.options.constraints.startDate))&&(c+=" "+this.options.classes.inactive,l.isInactive=!0),this.options.constraints.endDate&&t.isAfter(n(this.options.constraints.endDate))&&(c+=" "+this.options.classes.inactive,l.isInactive=!0)),!t.isValid()&&t.hasOwnProperty("_d")&&void 0!=t._d&&(t=n(t._d)),this.options.selectedDate&&t.isSame(n(this.options.selectedDate),"day")&&(c+=" "+this.options.classes.selected),c+=" calendar-day-"+t.format("YYYY-MM-DD"),c+=" calendar-dow-"+t.weekday(),this.calendarDay({day:t.date(),classes:this.options.targets.day+c,events:s,date:t,properties:l})},e.prototype.render=function(){this.calendarContainer.children().remove();var t={};if(this.options.lengthOfTime.days){var e=this.createDaysObject(this.intervalStart.clone(),this.intervalEnd.clone());t={daysOfTheWeek:this.daysOfTheWeek,numberOfRows:Math.ceil(e.length/7),months:[],days:e,month:null,year:null,intervalStart:this.intervalStart.clone(),intervalEnd:this.intervalEnd.clone(),eventsThisInterval:this.eventsThisInterval,eventsLastMonth:[],eventsNextMonth:[],extras:this.options.extras}}else if(this.options.lengthOfTime.months){var s=[],o=[];for(i=0;i<this.options.lengthOfTime.months;i++){var a=this.intervalStart.clone().add(i,"months"),r=a.clone().endOf("month"),e=this.createDaysObject(a,r);o.push(this.eventsThisInterval),s.push({month:a,days:e})}t={daysOfTheWeek:this.daysOfTheWeek,numberOfRows:_.reduce(s,function(t,n){return t+Math.ceil(n.days.length/7)},0),months:s,days:[],month:null,year:null,intervalStart:this.intervalStart,intervalEnd:this.intervalEnd,eventsThisInterval:o,eventsLastMonth:this.eventsLastMonth,eventsNextMonth:this.eventsNextMonth,extras:this.options.extras}}else var e=this.createDaysObject(this.month.clone().startOf("month"),this.month.clone().endOf("month")),t=(this.month,{daysOfTheWeek:this.daysOfTheWeek,numberOfRows:Math.ceil(e.length/7),months:[],days:e,month:this.month.format("MMMM"),year:this.month.year(),eventsThisMonth:this.eventsThisInterval,eventsLastMonth:this.eventsLastMonth,eventsNextMonth:this.eventsNextMonth,extras:this.options.extras});if(this.options.render?this.calendarContainer.html(this.options.render.apply(this,[t])):this.calendarContainer.html(this.compiledClndrTemplate(t)),this.options.constraints){for(var h in this.options.targets)h!=this.options.targets.day&&this.element.find("."+this.options.targets[h]).toggleClass(this.options.classes.inactive,!1);var l=null,c=null;this.options.constraints.startDate&&(l=n(this.options.constraints.startDate)),this.options.constraints.endDate&&(c=n(this.options.constraints.endDate)),l&&(l.isAfter(this.intervalStart)||l.isSame(this.intervalStart,"day"))&&this.element.find("."+this.options.targets.previousButton).toggleClass(this.options.classes.inactive,!0),c&&(c.isBefore(this.intervalEnd)||c.isSame(this.intervalEnd,"day"))&&this.element.find("."+this.options.targets.nextButton).toggleClass(this.options.classes.inactive,!0),l&&l.isAfter(this.intervalStart.clone().subtract(1,"years"))&&this.element.find("."+this.options.targets.previousYearButton).toggleClass(this.options.classes.inactive,!0),c&&c.isBefore(this.intervalEnd.clone().add(1,"years"))&&this.element.find("."+this.options.targets.nextYearButton).toggleClass(this.options.classes.inactive,!0),(l&&l.isAfter(n(),"month")||c&&c.isBefore(n(),"month"))&&this.element.find("."+this.options.targets.today).toggleClass(this.options.classes.inactive,!0)}this.options.doneRendering&&this.options.doneRendering.apply(this,[])},e.prototype.bindEvents=function(){var n=t(this.element),e=this,s="click";e.options.useTouchEvents===!0&&(s="touchstart"),n.on(s+".clndr","."+this.options.targets.day,function(n){if(e.options.clickEvents.click){var s=e.buildTargetObject(n.currentTarget,!0);e.options.clickEvents.click.apply(e,[s])}e.options.adjacentDaysChangeMonth&&(t(n.currentTarget).is("."+e.options.classes.lastMonth)?e.backActionWithContext(e):t(n.currentTarget).is("."+e.options.classes.nextMonth)&&e.forwardActionWithContext(e)),e.options.trackSelectedDate&&(e.options.selectedDate=e.getTargetDateString(n.currentTarget),t(n.currentTarget).siblings().removeClass(e.options.classes.selected).end().addClass(e.options.classes.selected))}),n.on(s+".clndr","."+this.options.targets.empty,function(n){if(e.options.clickEvents.click){var s=e.buildTargetObject(n.currentTarget,!1);e.options.clickEvents.click.apply(e,[s])}e.options.adjacentDaysChangeMonth&&(t(n.currentTarget).is("."+e.options.classes.lastMonth)?e.backActionWithContext(e):t(n.currentTarget).is("."+e.options.classes.nextMonth)&&e.forwardActionWithContext(e))}),n.on(s+".clndr","."+this.options.targets.previousButton,{context:this},this.backAction).on(s+".clndr","."+this.options.targets.nextButton,{context:this},this.forwardAction).on(s+".clndr","."+this.options.targets.todayButton,{context:this},this.todayAction).on(s+".clndr","."+this.options.targets.nextYearButton,{context:this},this.nextYearAction).on(s+".clndr","."+this.options.targets.previousYearButton,{context:this},this.previousYearAction)},e.prototype.buildTargetObject=function(e,s){var i={element:e,events:[],date:null};if(s){var o=this.getTargetDateString(e);i.date=o?n(o):null,this.options.events&&(this.options.multiDayEvents?i.events=t.makeArray(t(this.options.events).filter(function(){return(i.date.isSame(this._clndrStartDateObject,"day")||i.date.isAfter(this._clndrStartDateObject,"day"))&&(i.date.isSame(this._clndrEndDateObject,"day")||i.date.isBefore(this._clndrEndDateObject,"day"))})):i.events=t.makeArray(t(this.options.events).filter(function(){return this._clndrStartDateObject.format("YYYY-MM-DD")==o})))}return i},e.prototype.getTargetDateString=function(t){
// Our identifier is in the list of classNames. Find it!
var n=t.className.indexOf("calendar-day-");return-1!==n?t.className.substring(n+13,n+23):null},e.prototype.forwardAction=function(t){var n=t.data.context;n.forwardActionWithContext(n)},e.prototype.backAction=function(t){var n=t.data.context;n.backActionWithContext(n)},e.prototype.backActionWithContext=function(t){if(!t.element.find("."+t.options.targets.previousButton).hasClass("inactive")){var e=null;t.options.lengthOfTime.days?(t.intervalStart.subtract(t.options.lengthOfTime.interval,"days").startOf("day"),t.intervalEnd=t.intervalStart.clone().add(t.options.lengthOfTime.days-1,"days").endOf("day"),t.month=t.intervalStart.clone()):(t.intervalStart.subtract(t.options.lengthOfTime.interval,"months").startOf("month"),t.intervalEnd=t.intervalStart.clone().add(t.options.lengthOfTime.months||t.options.lengthOfTime.interval,"months").subtract(1,"days").endOf("month"),t.options.lengthOfTime.months||(e=!t.month.isSame(n(t.month).subtract(1,"months"),"year")),t.month=t.intervalStart.clone()),t.render(),t.options.lengthOfTime.days||t.options.lengthOfTime.months?(t.options.clickEvents.previousInterval&&t.options.clickEvents.previousInterval.apply(t,[n(t.intervalStart),n(t.intervalEnd)]),t.options.clickEvents.onIntervalChange&&t.options.clickEvents.onIntervalChange.apply(t,[n(t.intervalStart),n(t.intervalEnd)])):(t.options.clickEvents.previousMonth&&t.options.clickEvents.previousMonth.apply(t,[n(t.month)]),t.options.clickEvents.onMonthChange&&t.options.clickEvents.onMonthChange.apply(t,[n(t.month)]),e&&t.options.clickEvents.onYearChange&&t.options.clickEvents.onYearChange.apply(t,[n(t.month)]))}},e.prototype.forwardActionWithContext=function(t){if(!t.element.find("."+t.options.targets.nextButton).hasClass("inactive")){var e=null;t.options.lengthOfTime.days?(t.intervalStart.add(t.options.lengthOfTime.interval,"days").startOf("day"),t.intervalEnd=t.intervalStart.clone().add(t.options.lengthOfTime.days-1,"days").endOf("day"),t.month=t.intervalStart.clone()):(t.intervalStart.add(t.options.lengthOfTime.interval,"months").startOf("month"),t.intervalEnd=t.intervalStart.clone().add(t.options.lengthOfTime.months||t.options.lengthOfTime.interval,"months").subtract(1,"days").endOf("month"),t.options.lengthOfTime.months||(e=!t.month.isSame(n(t.month).add(1,"months"),"year")),t.month=t.intervalStart.clone()),t.render(),t.options.lengthOfTime.days||t.options.lengthOfTime.months?(t.options.clickEvents.nextInterval&&t.options.clickEvents.nextInterval.apply(t,[n(t.intervalStart),n(t.intervalEnd)]),t.options.clickEvents.onIntervalChange&&t.options.clickEvents.onIntervalChange.apply(t,[n(t.intervalStart),n(t.intervalEnd)])):(t.options.clickEvents.nextMonth&&t.options.clickEvents.nextMonth.apply(t,[n(t.month)]),t.options.clickEvents.onMonthChange&&t.options.clickEvents.onMonthChange.apply(t,[n(t.month)]),e&&t.options.clickEvents.onYearChange&&t.options.clickEvents.onYearChange.apply(t,[n(t.month)]))}},e.prototype.todayAction=function(t){var e=t.data.context,s=!e.month.isSame(n(),"month"),i=!e.month.isSame(n(),"year");e.month=n().startOf("month"),e.options.lengthOfTime.days?(e.options.lengthOfTime.startDate?e.intervalStart=n().weekday(e.options.lengthOfTime.startDate.weekday()).startOf("day"):e.intervalStart=n().weekday(0).startOf("day"),e.intervalEnd=e.intervalStart.clone().add(e.options.lengthOfTime.days-1,"days").endOf("day")):e.options.lengthOfTime.months?(e.intervalStart=n().startOf("month"),e.intervalEnd=e.intervalStart.clone().add(e.options.lengthOfTime.months||e.options.lengthOfTime.interval,"months").subtract(1,"days").endOf("month")):s&&(e.intervalStart=n().startOf("month"),e.render(),e.options.clickEvents.today&&e.options.clickEvents.today.apply(e,[n(e.month)]),e.options.clickEvents.onMonthChange&&e.options.clickEvents.onMonthChange.apply(e,[n(e.month)]),i&&e.options.clickEvents.onYearChange&&e.options.clickEvents.onYearChange.apply(e,[n(e.month)])),(e.options.lengthOfTime.days||e.options.lengthOfTime.months)&&(e.render(),e.options.clickEvents.today&&e.options.clickEvents.today.apply(e,[n(e.month)]),e.options.clickEvents.onIntervalChange&&e.options.clickEvents.onIntervalChange.apply(e,[n(e.intervalStart),n(e.intervalEnd)]))},e.prototype.nextYearAction=function(t){var e=t.data.context;e.element.find("."+e.options.targets.nextYearButton).hasClass("inactive")||(e.month.add(1,"years"),e.intervalStart.add(1,"years"),e.intervalEnd.add(1,"years"),e.render(),e.options.clickEvents.nextYear&&e.options.clickEvents.nextYear.apply(e,[n(e.month)]),e.options.lengthOfTime.days||e.options.lengthOfTime.months?e.options.clickEvents.onIntervalChange&&e.options.clickEvents.onIntervalChange.apply(e,[n(e.intervalStart),n(e.intervalEnd)]):(e.options.clickEvents.onMonthChange&&e.options.clickEvents.onMonthChange.apply(e,[n(e.month)]),e.options.clickEvents.onYearChange&&e.options.clickEvents.onYearChange.apply(e,[n(e.month)])))},e.prototype.previousYearAction=function(t){var e=t.data.context;console.log(e.element.find("."+e.options.targets.previousYear)),e.element.find("."+e.options.targets.previousYearButton).hasClass("inactive")||(e.month.subtract(1,"years"),e.intervalStart.subtract(1,"years"),e.intervalEnd.subtract(1,"years"),e.render(),e.options.clickEvents.previousYear&&e.options.clickEvents.previousYear.apply(e,[n(e.month)]),e.options.lengthOfTime.days||e.options.lengthOfTime.months?e.options.clickEvents.onIntervalChange&&e.options.clickEvents.onIntervalChange.apply(e,[n(e.intervalStart),n(e.intervalEnd)]):(e.options.clickEvents.onMonthChange&&e.options.clickEvents.onMonthChange.apply(e,[n(e.month)]),e.options.clickEvents.onYearChange&&e.options.clickEvents.onYearChange.apply(e,[n(e.month)])))},e.prototype.forward=function(t){return this.options.lengthOfTime.days?(this.intervalStart.add(this.options.lengthOfTime.interval,"days").startOf("day"),this.intervalEnd=this.intervalStart.clone().add(this.options.lengthOfTime.days-1,"days").endOf("day"),this.month=this.intervalStart.clone()):(this.intervalStart.add(this.options.lengthOfTime.interval,"months").startOf("month"),this.intervalEnd=this.intervalStart.clone().add(this.options.lengthOfTime.months||this.options.lengthOfTime.interval,"months").subtract(1,"days").endOf("month"),this.month=this.intervalStart.clone()),this.render(),t&&t.withCallbacks&&(this.options.lengthOfTime.days||this.options.lengthOfTime.months?this.options.clickEvents.onIntervalChange&&this.options.clickEvents.onIntervalChange.apply(this,[n(this.intervalStart),n(this.intervalEnd)]):(this.options.clickEvents.onMonthChange&&this.options.clickEvents.onMonthChange.apply(this,[n(this.month)]),0===this.month.month()&&this.options.clickEvents.onYearChange&&this.options.clickEvents.onYearChange.apply(this,[n(this.month)]))),this},e.prototype.back=function(t){return this.options.lengthOfTime.days?(this.intervalStart.subtract(this.options.lengthOfTime.interval,"days").startOf("day"),this.intervalEnd=this.intervalStart.clone().add(this.options.lengthOfTime.days-1,"days").endOf("day"),this.month=this.intervalStart.clone()):(this.intervalStart.subtract(this.options.lengthOfTime.interval,"months").startOf("month"),this.intervalEnd=this.intervalStart.clone().add(this.options.lengthOfTime.months||this.options.lengthOfTime.interval,"months").subtract(1,"days").endOf("month"),this.month=this.intervalStart.clone()),this.render(),t&&t.withCallbacks&&(this.options.lengthOfTime.days||this.options.lengthOfTime.months?this.options.clickEvents.onIntervalChange&&this.options.clickEvents.onIntervalChange.apply(this,[n(this.intervalStart),n(this.intervalEnd)]):(this.options.clickEvents.onMonthChange&&this.options.clickEvents.onMonthChange.apply(this,[n(this.month)]),11===this.month.month()&&this.options.clickEvents.onYearChange&&this.options.clickEvents.onYearChange.apply(this,[n(this.month)]))),this},e.prototype.next=function(t){return this.forward(t),this},e.prototype.previous=function(t){return this.back(t),this},e.prototype.setMonth=function(t,e){return this.options.lengthOfTime.days||this.options.lengthOfTime.months?console.log("You are using a custom date interval; use Clndr.setIntervalStart(startDate) instead."):(this.month.month(t),this.intervalStart=this.month.clone().startOf("month"),this.intervalEnd=this.intervalStart.clone().endOf("month"),this.render(),e&&e.withCallbacks&&this.options.clickEvents.onMonthChange&&this.options.clickEvents.onMonthChange.apply(this,[n(this.month)])),this},e.prototype.setIntervalStart=function(t,e){return this.options.lengthOfTime.days?(this.intervalStart=n(t).startOf("day"),this.intervalEnd=this.intervalStart.clone().add(this.options.lengthOfTime.days-1,"days").endOf("day")):this.options.lengthOfTime.months&&(this.intervalStart=n(t).startOf("month"),this.intervalEnd=this.intervalStart.clone().add(this.options.lengthOfTime.months||this.options.lengthOfTime.interval,"months").subtract(1,"days").endOf("month"),this.month=this.intervalStart.clone()),this.options.lengthOfTime.days||this.options.lengthOfTime.months?(this.render(),e&&e.withCallbacks&&this.options.clickEvents.onIntervalChange&&this.options.clickEvents.onIntervalChange.apply(this,[n(this.intervalStart),n(this.intervalEnd)])):console.log("You are using a custom date interval; use Clndr.setIntervalStart(startDate) instead."),this},e.prototype.nextYear=function(t){return this.month.add(1,"year"),this.intervalStart.add(1,"year"),this.intervalEnd.add(1,"year"),this.render(),t&&t.withCallbacks&&(this.options.clickEvents.onYearChange&&this.options.clickEvents.onYearChange.apply(this,[n(this.month)]),this.options.clickEvents.onIntervalChange&&this.options.clickEvents.onIntervalChange.apply(this,[n(this.intervalStart),n(this.intervalEnd)])),this},e.prototype.previousYear=function(t){return this.month.subtract(1,"year"),this.intervalStart.subtract(1,"year"),this.intervalEnd.subtract(1,"year"),this.render(),t&&t.withCallbacks&&(this.options.clickEvents.onYearChange&&this.options.clickEvents.onYearChange.apply(this,[n(this.month)]),this.options.clickEvents.onIntervalChange&&this.options.clickEvents.onIntervalChange.apply(this,[n(this.intervalStart),n(this.intervalEnd)])),this},e.prototype.setYear=function(t,e){return this.month.year(t),this.intervalStart.year(t),this.intervalEnd.year(t),this.render(),e&&e.withCallbacks&&(this.options.clickEvents.onYearChange&&this.options.clickEvents.onYearChange.apply(this,[n(this.month)]),this.options.clickEvents.onIntervalChange&&this.options.clickEvents.onIntervalChange.apply(this,[n(this.intervalStart),n(this.intervalEnd)])),this},e.prototype.setEvents=function(t){return this.options.multiDayEvents?this.options.events=this.addMultiDayMomentObjectsToEvents(t):this.options.events=this.addMomentObjectToEvents(t),this.render(),this},e.prototype.addEvents=function(n){return this.options.multiDayEvents?this.options.events=t.merge(this.options.events,this.addMultiDayMomentObjectsToEvents(n)):this.options.events=t.merge(this.options.events,this.addMomentObjectToEvents(n)),this.render(),this},e.prototype.removeEvents=function(t){for(var n=this.options.events.length-1;n>=0;n--)1==t(this.options.events[n])&&this.options.events.splice(n,1);return this.render(),this},e.prototype.addMomentObjectToEvents=function(t){var e=this,s=0,i=t.length;for(s;i>s;s++)t[s]._clndrStartDateObject=n(t[s][e.options.dateParameter]),t[s]._clndrEndDateObject=n(t[s][e.options.dateParameter]);return t},e.prototype.addMultiDayMomentObjectsToEvents=function(t){var e=this,s=0,i=t.length;for(s;i>s;s++)t[s][e.options.multiDayEvents.endDate]||t[s][e.options.multiDayEvents.startDate]?(t[s]._clndrEndDateObject=n(t[s][e.options.multiDayEvents.endDate]||t[s][e.options.multiDayEvents.startDate]),t[s]._clndrStartDateObject=n(t[s][e.options.multiDayEvents.startDate]||t[s][e.options.multiDayEvents.endDate])):(t[s]._clndrEndDateObject=n(t[s][e.options.multiDayEvents.singleDay]),t[s]._clndrStartDateObject=n(t[s][e.options.multiDayEvents.singleDay]));return t},e.prototype.calendarDay=function(n){var e={day:"",classes:this.options.targets.empty,events:[],date:null};return t.extend({},e,n)},t.fn.clndr=function(t){if(1===this.length){if(!this.data("plugin_clndr")){var n=new e(this,t);return this.data("plugin_clndr",n),n}}else if(this.length>1)throw new Error("CLNDR does not support multiple elements yet. Make sure your clndr selector returns only one element.")}});